---
layout: default
(no)warning: old
---


---

Integrity is a crucial part of your character and is essential for
a successful career. We expect you to demonstrate integrity in
CSE 154 and elsewhere.

The Paul G Allen School has an entire page on
[Academic Misconduct](https://www.cs.washington.edu/academics/misconduct)
within the context of Computer Science, and the University of
Washington has an entire page on how
[Academic Misconduct](https://www.washington.edu/cssc/for-students/academic-misconduct/)
[Community Standards and Student Conduct Page](https://www.washington.edu/cssc/).
Please acquaint yourself with both of those pages, and in
particular how academic misconduct will be reported to the
University.

Your academic conduct in this course is evaluated in at least the
four areas described in detail below.

* TOC
{:toc}

# Honesty in Communications

Individuals are expected to be honest and forthcoming
in communications with TAs and the instructor.

# Application Content

## School Appropriateness of Content

Recall that one of our course policies is to engender an
inclusive environment. As such it is important that you are thoughtful about
what you choose to post on your page. Please make sure that the
images and text you are using are “school appropriate” and follow
the guidelines of expected behavior. If you have any questions,
please do not hesitate to ask a TA or your instructor. Inappropriate work
submitted may be ineligible for credit on that assignment.


## Copyright and Citations

All of the expressions of ideas in this class that are fixed in
any tangible medium such as digital and physical documents are
protected by copyright law as embodied in title 17 of the United
States Code. These expressions include the work product of both:
(1) your student colleagues (e.g., any assignments published here
in the course environment or statements committed to text in a
discussion forum); and, (2) your instructor (e.g., the syllabus,
assignments, reading lists, and lectures). Within the constraints
of &quot;fair use,&quot; you may copy these copyrighted
expressions for your personal intellectual use in support of your
education here in the UW. Such fair use by you does not include
further distribution by any means of copying, performance or
presentation beyond the circle of your close acquaintances,
student colleagues in this class and your family. If you have any
questions regarding whether a use to which you wish to put one of
these expressions violates the creator's copyright interests,
please feel free to ask the instructor for guidance.

The essence of academic life revolves around respect not only for
the ideas of others, but also their rights to those ideas. It is
therefore essential that we take the utmost care that the ideas
(and the expressions of those ideas) of others always be handled
appropriately, and, where necessary, cited. When ideas or
materials of others are used (particularly in your creative
projects), they must be cited. The citation format is not that important -
as long as the source material can be located and the citation
verified, it's OK. In any situation, if you have a question,
please feel free to ask.

You must have the right to publish any of the images, videos,
text, or other media on your creative sites. This means you may
use:

- Media you have created or generated yourself (i.e. pictures you have created or taken yourself, text you have written yourself.)
-  Images that are in the public domain (something from Wikipedia), or something with a creative commons license that allows for reuse without explicit permission of the owner.
  - [Creative Commons Kiwi](https://creativecommons.org/about/videos/creative-commons-kiwi/) is a really informative video on Creative Commons licensing.
  - Instructions on how to search for images that are fair use are [here](https://support.google.com/websearch/answer/29508?hl=en).
  - You must cite any works that you use that you did not generate yourself (although technically you only need to cite things that are [CC Attribution](https://creativecommons.org/licenses/by/2.0/). A handy site for knowing how to add your citations is
  [here](https://wiki.creativecommons.org/wiki/Best_practices_for_attribution).


# Collaboration Policies

>      As a teacher, it’s not my goal in life to read a class’ worth of
>      programs on a topic that all basically look the same. My goal is
>      to assess whether you understand the material that we’ve taught in
>      class enough, and you demonstrate that to me through the work you
>      do. I can not assess that if you are turning in someone else’s
>      work.
>      - Dr. Tom Butler, Lakeside H.S.

Computer science education is odd in that we expect you to turn in
work that you do completely independently when in the
&quot;real world&quot; that’s not how it works at all. In the real
world, co-workers collaborate, bounce ideas off each other, they
look up parts of solutions on the internet. But in the &quot;real
world&quot; the people doing the work have years of experience,
they have proved themselves to their teachers, co-workers and
bosses to where they are at that moment and most importantly, they
know <strong>how to evaluate which of the solutions they are
receiving is an appropriate one to solve the task at hand.</strong>

As your instructor, I need to be able to evaluate
<strong>your</strong> work. Thus, unless otherwise specified all
work in this and other CS classes must be your own. We realize you
may look at other sources online to learn how to achieve new things, but we expect
you to synthesize this information and not copy it directly. You
should never copy (plagiarize) homework or code from another person
in this school (past or present) or that you find online directly
and submit it as your own work.

Individual programming assignments may be discussed homework
assignments with other students (i.e.. providing advice about
difficult concepts) and you are also encouraged to discuss related
material each week, readings, etc. You may also discuss Creative
Projects with other students, as long as the code you write is
entirely your own, and of course group projects are intended to be a joint effort. In all of this, you must abide by the following:


- You **may not use code directly from any external sources** (including copying lecture/lab material directly into a programming assignments).
- You may not post your homework solutions on a publicly accessible (non-password-protected) web server or Git repository, during the course or after it has been completed. Please see the course website for acceptable ways to show your work to others.
- You may not look at or use prior solutions from any source.
- You must document substantive discussions (i.e. when a classmate's advice helped you with a difficult concept) 
- You may not provide a classmate with actual code or with step-by-step instructions

In short: you should think of most assignments in this class as assessments and as such, complete them independently - unless otherwise told.


Under our policy, a student who gives inappropriate help is
equally guilty with one who receives it. Instead of providing such
help to a classmate, point them to other class resources such as
lecture examples, OH, or a TA. You must take reasonable steps
to ensure that your work is not copied by others, such as making
sure to log out or lock shared computers, not leaving printouts of
your code in public places, and not emailing code to other
students or posting it on the web or public forums.

We enforce our policies by running detection software during the
quarter over all programs, including ones from past quarters.
Please contact us if you are unsure whether a particular behavior
falls within our policy.

## If you make use of a source, or advice from a classmate

Some portions of our projects will have a creative aspect to them. On occasion students may wish to use portions of sample code that has been obtained on our course website or others. In order to avoid academic misconduct for a Creative portion of your projects you must:

- Ensure that substantive original work is submitted that can be evaluated by the course staff.
- Cite the ideas or materials of others that are used. The citation format is not that important - as long as the source material can be located and the citation verified (a url in a comment is generally fine), it's OK.
- Clearly indicate (e.g. with comments) which portions of your code are completely original and which are used or modified from external sources, if any code is used that builds off of/is inspired by external sources (e.g. adaption of an example exercise, online tutorial you find). We will only grade your original work. Note that solely changing identifier names or rearranging other source material is not considered your original work - see the examples of appropriate use below for details.

A good analogy to this is if you were writing a history paper: You can use quotes in your paper as long as you give attribution to the sources of the quote, but you can not write a history paper out of the quotes of others (particularly with no citations).

Some examples of appropriate use:

- A student closely follows a tutorial to understand a new concept in Android Development (e.g.  animations). The student cites the tutorial they used in the file header then substantially modifies the tutorial code to include what is specified for the creative portion of the assignment, documenting which portions of the code are their own so TAs know which portions to grade (and to determine whether the material cited as being learned from the tutorial is sufficiently adapted to be considered the student’s own work).
- A student is having difficulty styling their website. They look for a solution and find one on a site such as Stack Overflow. The student uses the code they find in their solution, documents that small piece of code was not their own with a comment that includes where it was found. The TAs will not use that portion of the code in grading.

Students with questions about any specific situation should ask the instructor for clarification.

# Privacy

To support an academic environment of rigorous discussion and open
expression of personal thoughts and feelings, we, as members of
the academic community, must be committed to the inviolate right
of privacy of our student and instructor colleagues. As a result,
we must forego sharing personally identifiable information about
any member of our community including information about the ideas
they express, their families, lifestyles and their political and
social affiliations. If you have any questions regarding whether a
disclosure you wish to make regarding anyone in this course or in
the university community violates that person's privacy interests,
please feel free to ask the instructor for guidance.

Knowingly violating any of these principles of academic conduct,
privacy or copyright may result in University disciplinary action
under the Student Code of Conduct.
