---
layout: assignment
published: true

title: Finding Accessibility
code: ex1

assigned: March 31, 2021
due:
- <strong>Slides</strong><br>
  Due 10:00pm, April 4, 2021<br>
  Lock 12:01PM April 5, 2021
- <strong>Presentation</strong><br>
  in-class on April 5<br>
- <strong>Peer evaluation</strong><br>
  in-class<br>
  
revised: February 15, 2021

objective: Find examples of accessibility in the world

---

* TOC
{:toc}


# Assignment Description

This assignment requires you to find two examples of accessibility technology and document them (one for computer access and one for access to the world). In each case, you will make a short video demonstrating the technology and create a slide summarizing what you found. 

## What counts as an accessibility technology

An accessibility technology is something that is used by a person with a disability to increase accessibility. It can be something that is included in the infrastructure (such as a [curb cut](https://en.wikipedia.org/wiki/Curb_cut)) or something that is used by an individual (such as [Proloque2Go](https://www.talktometechnologies.com/pages/proloquo2go), a symbol-based communication system). 

Given the themes of the class, 
- One of your two technologies should improve access to the world (such as Microsoft's [Seeing AI](https://www.microsoft.com/en-us/ai/seeing-ai)); the other should improve access to the computer (such as [sticky keys](https://en.wikipedia.org/wiki/Sticky_keys)) or a screen reader
- One of your two technologies should improve access using an infrastructure approach; the other can use an individual approach

While some technologies may be expensive or hard to get, many accessibility technologies are easily available and some are even re-purposed everyday items. To meet the requirements for this assignment, you'll also need to make sure that one of your chosen technologies is something you can try yourself (see below). 

## What do you need to turn in
This homework will have two components. A take-home component, where you will learn about two ATs used by people with disabilities, and an in-class component where you will share what you learned with the class. To deliver these two components, you will:

  - make a presentation (please read below for details).
  - present what you learned to the class for ten minutes and engage in a conversation.

For this assignment, you need to meet the following requirements for each accessibility technology:

  - You should find at least one video authored by or featuring a person with a disability showing how they use the technology. For example, here is a [personal perspective on audio crosswalks](https://www.youtube.com/watch?v=xPlsYhU1HBU). Alternatively, you should find a blog or review written by a personal with a disability who would benefit from the AT that you are trying to learn about.
  - You should create accessible slides and add it to our shared slide deck (posted in the [Class Discussion]({{site.piazza}}) and on [Canvas]({{site.canvas}})) featuring a picture of the accessibility technology, a link to the video you found, and answers to the following questions: 
    - What is the technology?
    - What does the AT do?
    - What is the access gap that the AT is attempting to address?
    - Why was it developed?
    - What are its strengths and/or weaknesses?
    - What are the benefits that were not encompassed by the original intent?
    - Do the intended users like it?
    - What do the intended users find frustrating about using it?
    - If you were to work on a project to address a user-faced frustration or limitation of this AT:
        - How would you improve this AT?
        - How can you say that the improvement you make can address the user-level frustration or deficiency of this AT?
        - If you have a chance to interview users of this technology, what would be one question you would ask, that was not answered in your search for information?
  - You should try at least one of the two technologies you find yourself.
  - You should cite the first-person accounts from people with disabilities (videos, blogs, etc.) that informed your presentation.
  - The class will discuss your suggested improvements to the AT.

# Turn-in

You will create accessible slides with links to the video or blogs you find, pictures of the technology, a description of how to use it, and your thoughts on the questions mentioned above by the due date. You will present these slides for 10 minutes in-class.

### Grading (XX pts)

This HW will be out of XX points and will roughly (subject to small adjustments) be distributed as:

