---
layout: assignment
published: true

title: Improve a screen reader
code: as3

assigned: April 7, 2021
due:
 - <strong>team and issue selection</strong> Start forming teams in class, finalize by 5PM April 9, 2021
 - <strong>Phase 1 presentations</strong> in class on April 14, 2021
 - <strong>phase 2 presentations</strong> In class on April 19.
 - <strong>phase 2 write up (TBD)</strong> 11:59PM pacific April 19, 2021.

revised: February 15, 2021

objective:  Fix screen reader bugs.

---

* TOC
{:toc}

# Overview

People who are blind or visually impaired (BVI) access computers through screen readers. Simply put, screen readers are software that render the graphical user interface in audio (synthesized speech and sounds) or Braille (using a refreshable braille display). There are different types of screen readers, that run on a variety of platforms; from desktops, to smartphones, to smart-watches to smart speakers. One such screen reader is the Non Visual Desktop Access (NVDA) screen reader, a free, open source screen reader for windows. As per the [WebAIM: Screen Reader User Survey #8 Results](https://webaim.org/projects/screenreadersurvey8/), NVDA is the most used screen reader among respondents.

In this homework, you will be fixing a bug in the NVDA screen reader. Your fix should improve the usability of the NVDA screen reader for its intended audience. (remember, NVDA is developed by a huge community of BVI developers so they are your target audience too!)
To reduce the complexity of contributing to an open source project in a short timeframe, we curated a list of potential github issues that you could fix. You are also free to pick other open issues from the NVDA github repository. We however recommend refraining from issues with high complexity or issues where a consensus has not been reached. If you are not a screen reader user, you may not fully understand why a user needs to comment on such issues. You can find the full list of issues below. Once you decide the github issue that you would like to work on, please enter the information in this spreadsheet, along with a few-sentence description of how you think fixing the issue you picked would make the software more usable. This is to ensure that multiple teams are not picking the same github issue. So please pick a different issue if the issue you were interested in has been picked by another team. The course staff will go through your list of selections. Please do not start posting on the issues until this phase has completed.

Once you receive approval for the issue you’ve picked, you will be reaching towards your solution in phases. Note that your grade is distributed across phases, and if you are unable to reach a stage where you are unable to push code to the NVDA repository due to the delays at the NVDA maintainer's end to merge your code, or any equivalent reason, you will not lose points as long as you are able to explain the series of events that lead to the outcome.

## Phase 1: present the improvement

This will be an in-class presentation of ten minutes where you will present:

  - Your experience trying to use NVDA.
    - How did you go about learning to use this screen reader?
    - What one task did you try to accomplish?
    - What were you able to achieve?
    - What did you struggle with?
  - What issue did you pick to address?
  - Why did you pick this issue?
  - Anything interesting about the conversations you’ve had with the NVDA community.
  - What is your solution?
  - How will your solution improve the usability of the screen reader?

## Phase 2: the solution

This will be a ten minute presentation re-capping your first-phase, and:
  - What was your planned solution, and how did your solution differ from your plans?
  - Why did your plans have to differ?
  - If you are unable to fix the issue, why? E.g. disagreement within the community, etc.

## NVDA setup and other pre-requisites

You will need a Windows computer running Windows 10 and python 3.7 (32-bit) to install NVDA. If you do not have a Windows machine, please reach out to us as soon as possible. We have a limited number of machines that can be accessed remotely. The instructions to build NVDA are in the [NVDA github repository readme](https://github.com/nvaccess/nvda). Please also be sure to [read the contributing guide](https://github.com/nvaccess/nvda/wiki/Contributing).

## Grading

TBD