---
layout: default
warning: draft
---

* TOC
{:toc}

{: .week}
# Week 1: 3/29 week

{: .lecture} Introduction to Accessibility Technology
: **Learning Goals** Overview of accessibility and its relationship to computation; Introduction to Disability studies; History of disability rights
: **Slides** {% include slide.html title="Introduction to Inclusive Design" loc="wk01/inclusive-design.html" %}

**Take-home Exercise**
You will need to submit the [learning goals homework](assignments/hw0-learninggoals) homework by next class.

{: .lecture}
Guest lecture by Kurt Johnson, Professor, Department of Rehabilitation Medicine on Disability Policy and Law

: **Reading** possible Reading: Bobby Silverstein. Emerging Disability Policy Framework

**Prep for [Activity 1](assignments/act1-finding-accessibility.html)**

{: .week}
# Week 2: 4/5 week: Access to Computers -- screen readers
**Readings and other Preparation** The first week's reading will be lengthy. This is a first introduction to disability and an important starting place through providing a disability studies perspective up front in the class. 
: **Reading**
- [Disability Studies as a source of critical inquiry...](https://make4all.org/wp-content/uploads/2019/10/MankoffAssets2010.pdf)
- Optional: [semantics to screen readers](https://alistapart.com/article/semantics-to-screen-readers/)
- Optional: [rethinking web accessibility on Windows](https://www.marcozehe.de/rethinking-web-accessibility-on-windows/)

{: .lecture}
Introduction to screen readers and begin forming teams for homework 1.

: **Learning Goals** Understand a disability-centered perspective and its impact on designing accessibility technologies, get introduced to screen readers.

{: .lecture}
Activity 1 presentations

{: .week}
# Week 3: 4/12 week: Access to Computers -- Screen Readers and Switch Access
**Readings and other Preparation**
- [Access Lab - the Switch](https://axesslab.com/switches/)
- [SAK: Scanning ambiguous keyboard for efficient one-key text entry](https://dl.acm.org/doi/10.1145/1806923.1806925)
- Optional viewing: [Switch Control overview](https://www.youtube.com/watch?v=GQKEE9nI1lk)
- Optional viewing: [One thumb to rule them all](https://www.youtube.com/watch?v=2BhHwk9qSvI)

{: .lecture} Introduction to switch access.
: **Learning Goals** Introduction to switch controls and building interfaces for use by people with limited mobility

**Slides TBD**

**Activity2 and HW1 work time.**

{: .lecture} Guest lecture by Brett Humphrey, Microsoft on screen readers
: **Learning Goals** Practical advice on screen readers



{: .week}
# Week 4: 4/19 week: Accessibility in the World -- Accessible Media 
We will learn about best practices to make certain types of media accessible.
  - Intro to alt-text and audio description.
  - Describe a video.
  - Intro to captions.

**Readings and other Preparation**
- Readings TBD.

{: .lecture} TBD lecture on intro to audio descriptions, captions and alt-text.
: **Slides**
TBD


{: .lecture} homework 1 final presentations.
: **Slides** to be uploaded by students on canvas

{: .week}
# Week 5: 4/26 week: accessibility to the world -- More alt text, captions or sound recognition TBD
**Readings and other Preparation**
- [Its complicated: Negociating Accessibility and (Mis)Representation in Image Descriptions of Race, Gender and Disability](https://guoanhong.com/papers/CHI21-ImageDescriptions.pdf)

{: .lecture} Work time and intro to homework 2 (TBD).
: **Slides** TBD

{: .lecture} Guest Lecture
: Lecture by [Cynthia Bennett](https://www.bennettc.com/)

**Slides** TBD



{: .week}
# Week 6: 5/3 week: Mobile Vision for Accessibility

https://web.stanford.edu/class/cs231m/syllabus.html
https://heartbeat.fritz.ai/popular-mobile-machine-learning-projects-to-help-you-start-building-48646fb6c60a 

**Exercise**: Pick one of these projects and build it! or Vizwiz?

{: .week}
# Week 7: 5/10 week: Input
{: .lecture} possible guest lecture: Jake Wobbrock, Information School
: **Learning Goals** Flipping the Burden: Making Computers Accessible with Everyday Input Devices

: **Readings**
- [Slide Rule](https://dl.acm.org/doi/10.1145/1414471.1414487)
- [Design space of input devices](https://dl.acm.org/doi/10.1145/97243.97263)Devices

: **Slides** TBD


{: .lecture} Guest lecture on Current Accessibility Solutions
: **Slides** Someone like Director, Washington Assistive Technology Alliance
: **Readings** Pick something from here: https://ncd.gov/policy/technology

{: .lecture} Project Proposals
: **Process** TBD

{: .week}
# Week 8: May 17th week: Output

{: .lecture} Guest lecture from on captioning and/or crowdsourcing?
: **Slides** TBD


{: .lecture} Output
: **Learning Goals**
Cover a range of possible topcis including
- Braille displays
- Alternative tactile displays
- Vibration
- Visual displays for the deaf
- Ambient Displays & Calm Computing

: **Readings** Really interesting contrast between these 
- [In the Shadow of misperception: Assistive Technology Use and Social Interactions](https://dl.acm.org/doi/10.1145/1978942.1979044)
[Assistive Technologies for Students with Visual Impairments and Blindness](https://d1wqtxts1xzle7.cloudfront.net/44652121/Assistive_Technology_for_Students_with_V20160412-16073-qkgr5l.pdf)  long — skim it, and focus on learning about at least 5 assistive technologies you weren’t familiar with before (starts on p. 11 of the pdf and goes until p. 31) p. 33 is also worth reading.

{: .week}
# Week 9: May 24th week: Web Accessibility

{: .lecture} Modern Web Accessibility (try to get a guest lecturer)
: **Learning Goals** Learn about “The Web,” how access technologies interact with the Web, and how to make accessible web pages.
: **Readings/Home Experimentation**
- [WAVE](https://wave.webaim.org/) on your website or web page and look at the results before class.
- [Google Video on Practical Web Accessibility](https://www.youtube.com/watch?v=x18vEEfpK3g) — this video provides a great overview of the Web and how to make web content accessible. Highly recommended as a supplement to what we will cover in class.
- Optional Reading: If you want to supplement the reading with written guidance, check out WebAim.org [Introduction to Web Accessibility](https://webaim.org/intro/), specifically the section titled ‘Principles of Accessible Design’ (which has links to how to properly write alt text; appropriate document structure, and so on). WebAIM has long been a leader in providing information and tutorials on making the Web accessible. A great source where you can read about accessibility issues, making content accessible, etc. Run - 
- Reading 2: [What’s the problem?](https://kernelmag.dailydot.com/issue-sections/headline-story/11421/disability-web-accessibility-design/)

: **Reading Question** How can we make the web accessible when individual authors don’t? Also how can we improve web authoring?

Exercise: [Assess a Web Page](assignments/website). In class, we will also make it more accessible. Please come prepared having already done an analysis of the web page.

{: .week}
# Week 10: May 31st week--
Screen Readers (AKA Bigham (plus a few others) week 🙂
- [Building a screen reader on the web](https://dl.acm.org/citation.cfm?doid=1368044.1368060) (required reading):
- [How people use screen readers (optional)](https://dl.acm.org/citation.cfm?doid=1805986.1806005)
- [Providing access to graphical interfaces (optional)](https://dl.acm.org/citation.cfm?doid=191028.191041)

Additional Issues (glance through the abstracts for these)
- [Crowdsourcing Video Captions](https://dl.acm.org/citation.cfm?doid=3025453.3026032)
- [Enhancing screen access with new physical computing techniques](https://link.springer.com/chapter/10.1007%2F978-1-4471-7440-0_36)
- [Reverse engineering touch screen accessibility](https://dl.acm.org/citation.cfm?doid=3332165.3347873)
- [Human vs OCR labeling of web images](https://dl.acm.org/citation.cfm?doid=1168987.1169018)
- [A browser extension to describe images on Twitter](https://dl.acm.org/citation.cfm?doid=3308561.3354629)
- [Automatically judging alternative text quality](https://dl.acm.org/citation.cfm?doid=1216295.1216364)
- [Automation to fix problems with headings](https://dl.acm.org/citation.cfm?doid=1414471.1414508)
- [Making updates to web pages accessible](https://dl.acm.org/citation.cfm?doid=1414471.1414499)
- [An automated web guide](https://dl.acm.org/citation.cfm?doid=1502650.1502677)
- [Automating magnification on the web](https://dl.acm.org/citation.cfm?doid=2642918.2647357)
- [Capturing accessibility problems just after they happen] (https://dl.acm.org/citation.cfm?doid=1878803.1878812)
Mid-project Reports (Wednesday) 

{: .week}
# Finals week: Final presentations

{: .week}
# Old materials
Observation Assignment (timing/etc. tentative) Due to Prof. Mankoff by end of quarter)

http://all.rit.edu/

## Possible guest lecturers?
- Chancey Fleet (try hard!)
- Jenny Lay-Fleurie
- Kurt Johnson, Professor, Department of Rehabilitation Medicine
Topic: Disability Policy and Law
- Debbie Cook, Director, Washington Assistive Technology Alliance
Topic: Current Accessibilty Solutions
- Wendy Chisholm
Topic 1: Accessibility of Dynamic Web Content
- Jeff Bigham, Computer Science and Engineering
Topic: Social Approaches to Web Accessibility
- Julie Kientz, Technical Communication and the Information School
Topic: Tools for Supporting Individuals with Autism and other Cognitive Disabilities
- Anna Cavender, Computer Science and Engineering
Topic: Deaf and Hard of Hearing Cyber Community
- Shaun Kane (3d printing)
- Shiri Azenkot (low vision/VR/AR)

## Topics dropped off the list
- Characterizing the performance of input devices 
- Digital techniques for adapting to user input capabilities (e.g. voice control, eye gaze)
- Novel interaction techniques (e.g. mobile phone interaction, at the time)
- Passive sensing and other real world input challenges
